Subject: Re: Submissions Wanted for World Ethnobotany CD-ROM

From: [email-masked] (Claire DeLeo)
Date: 3 Oct 1995 20:02:32 -0600

Don't you think submissions should give credit to the people who supplied 
this herbal knowledge, i.e. name of nation or tribe?  I think so!

Claire
[email-masked]